-- phpMyAdmin SQL Dump
-- version 5.2.1deb1+deb12u1
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Cze 25, 2025 at 11:35 AM
-- Wersja serwera: 10.11.11-MariaDB-0+deb12u1
-- Wersja PHP: 8.2.28

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `ndg`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ndg_jm`
--

CREATE TABLE `ndg_jm` (
  `id` varchar(3) NOT NULL DEFAULT '0',
  `nazwa` varchar(5) DEFAULT NULL,
  `nazwa_pelna` varchar(150) DEFAULT NULL,
  `przelg` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `ndg_jm`
--

INSERT INTO `ndg_jm` (`id`, `nazwa`, `nazwa_pelna`, `przelg`) VALUES
('20', 'szt.', 'sztuka', 1),
('21', 'opak', 'opakowanie', 1),
('22', 'para', 'para', 1),
('25', '100', 'sto sztuk', 1),
('30', 'g', 'gram', 1),
('33', 'kg', 'kilogram', 1000),
('34', 't.', 'tona', 1000000),
('40', 'm', 'metr', NULL),
('43', 'km', 'kilometr', NULL),
('45', 'dm', 'decymetr', NULL),
('46', 'cm', 'centymetr', NULL),
('47', 'mm', 'milimetr', NULL),
('50', 'm2', 'metr kwadratowy', NULL),
('52', 'ha', 'hektar', NULL),
('60', 'm3', 'metr sześcienny', NULL),
('66', 'litr', 'decymetr sześcienny (litr)', 1000),
('70', 'KW', 'kilowat', NULL),
('78', 'KM', 'koń mechaniczny', NULL),
('90', 'kpl', 'komplet', NULL),
('947', '%', 'procent', NULL),
('948', 'm-g', 'maszynogodzina', NULL),
('949', 'r-g', 'roboczogodzina', NULL);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ndg_kontrahenci`
--

CREATE TABLE `ndg_kontrahenci` (
  `id` int(11) NOT NULL,
  `NIP` varchar(13) NOT NULL DEFAULT '',
  `nazwa` varchar(255) DEFAULT NULL,
  `adres` varchar(255) DEFAULT NULL,
  `kod` varchar(6) DEFAULT NULL,
  `miasto` varchar(100) DEFAULT NULL,
  `e-mail` varchar(100) DEFAULT NULL,
  `osoba` varchar(255) DEFAULT NULL,
  `kontakt` varchar(255) DEFAULT NULL,
  `www` varchar(100) NOT NULL DEFAULT '',
  `skrot` varchar(50) NOT NULL DEFAULT '',
  `termin_pl` int(3) NOT NULL DEFAULT 0,
  `uwagi` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ndg_koszty`
--

CREATE TABLE `ndg_koszty` (
  `id` int(11) NOT NULL,
  `data_zakupu` date NOT NULL,
  `nr_dok` varchar(255) NOT NULL DEFAULT '',
  `nazwa` varchar(255) NOT NULL DEFAULT '',
  `cena` decimal(11,2) NOT NULL DEFAULT 0.00,
  `id_kontrahenta` int(11) NOT NULL,
  `opis` text NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ndg_limit`
--

CREATE TABLE `ndg_limit` (
  `rok` int(4) NOT NULL DEFAULT 2000,
  `01` decimal(9,2) NOT NULL DEFAULT 0.00,
  `02` decimal(9,2) NOT NULL DEFAULT 0.00,
  `03` decimal(9,2) NOT NULL DEFAULT 0.00,
  `04` decimal(9,2) NOT NULL DEFAULT 0.00,
  `05` decimal(9,2) NOT NULL DEFAULT 0.00,
  `06` decimal(9,2) NOT NULL DEFAULT 0.00,
  `07` decimal(9,2) NOT NULL DEFAULT 0.00,
  `08` decimal(9,2) NOT NULL DEFAULT 0.00,
  `09` decimal(9,2) NOT NULL DEFAULT 0.00,
  `10` decimal(9,2) NOT NULL DEFAULT 0.00,
  `11` decimal(9,2) NOT NULL DEFAULT 0.00,
  `12` decimal(9,2) NOT NULL DEFAULT 0.00,
  `limit_rok` decimal(10,2) NOT NULL DEFAULT 0.00
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `ndg_limit`
--

INSERT INTO `ndg_limit` (`rok`, `01`, `02`, `03`, `04`, `05`, `06`, `07`, `08`, `09`, `10`, `11`, `12`, `limit_rok`) VALUES
(2024, 3181.50, 3181.50, 3181.50, 3181.50, 3181.50, 3181.50, 3225.00, 3225.00, 3225.00, 3225.00, 3225.00, 3225.00, 38439.00),
(2025, 3499.50, 3499.50, 3499.50, 3499.50, 3499.50, 3499.50, 3499.50, 3499.50, 3499.50, 3499.50, 3499.50, 3499.50, 41994.00),
(2026, 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0.00, 0.00);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ndg_magazyn`
--

CREATE TABLE `ndg_magazyn` (
  `id` int(11) NOT NULL,
  `Nazwa` varchar(255) NOT NULL DEFAULT '',
  `ean` varchar(13) NOT NULL DEFAULT '',
  `wyroznik` varchar(1) NOT NULL DEFAULT 'u',
  `jm` varchar(3) NOT NULL DEFAULT '20',
  `ilosc` decimal(10,4) NOT NULL DEFAULT 0.0000,
  `cena` decimal(12,2) NOT NULL DEFAULT 0.00,
  `vat` int(2) NOT NULL DEFAULT 0,
  `Wybor` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ndg_pl_forma`
--

CREATE TABLE `ndg_pl_forma` (
  `symbol` int(11) NOT NULL,
  `nazwa` varchar(50) NOT NULL DEFAULT '',
  `termin` tinyint(1) NOT NULL DEFAULT 0,
  `termin_dni` int(3) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `ndg_pl_forma`
--

INSERT INTO `ndg_pl_forma` (`symbol`, `nazwa`, `termin`, `termin_dni`) VALUES
(1, 'Gotówka', 0, 0),
(2, 'Karta', 0, 0),
(3, 'Przelew', 1, 7);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ndg_sprzedaz`
--

CREATE TABLE `ndg_sprzedaz` (
  `id` int(11) NOT NULL,
  `nr_dok` int(11) NOT NULL DEFAULT 0,
  `rodz_dok` varchar(1) NOT NULL DEFAULT 'p',
  `data` date NOT NULL,
  `data_sprzedazy` date NOT NULL,
  `termin_pl_liczba` int(3) NOT NULL DEFAULT 0,
  `termin_pl` date NOT NULL DEFAULT current_timestamp(),
  `forma_pl` int(11) NOT NULL DEFAULT 1,
  `nr_kontrahenta` int(11) NOT NULL DEFAULT 0,
  `rezerwa` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ndg_sprzedaz_poz`
--

CREATE TABLE `ndg_sprzedaz_poz` (
  `id` int(11) NOT NULL DEFAULT 0,
  `id_towaru` int(11) NOT NULL DEFAULT 0,
  `nazwa_tow` varchar(100) DEFAULT NULL,
  `ilosc` decimal(10,4) NOT NULL DEFAULT 0.0000,
  `jm` varchar(3) NOT NULL DEFAULT '20',
  `vat` int(2) NOT NULL DEFAULT 0,
  `cena` decimal(12,2) NOT NULL DEFAULT 0.00
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ndg_vat`
--

CREATE TABLE `ndg_vat` (
  `id` int(11) NOT NULL,
  `rok` varchar(4) DEFAULT NULL,
  `symbol` varchar(1) DEFAULT NULL,
  `pr_a` int(11) DEFAULT NULL,
  `pr_b` int(11) DEFAULT NULL,
  `pr_c` int(11) DEFAULT NULL,
  `pr_d` int(11) DEFAULT NULL,
  `pr_e` int(11) DEFAULT NULL,
  `pr_f` int(11) DEFAULT NULL,
  `pr_g` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `ndg_vat`
--

INSERT INTO `ndg_vat` (`id`, `rok`, `symbol`, `pr_a`, `pr_b`, `pr_c`, `pr_d`, `pr_e`, `pr_f`, `pr_g`) VALUES
(1, '2007', '', 22, 7, 3, 0, -1, -1, -2),
(2, '2008', '', 22, 7, 3, 0, -1, -1, -2),
(3, '2009', '', 22, 7, 3, 0, -1, -1, -2),
(4, '2010', '', 22, 7, 3, 0, -1, -1, -2),
(5, '2011', '', 23, 8, 5, 0, -1, -1, -2);

--
-- Indeksy dla zrzutów tabel
--

--
-- Indeksy dla tabeli `ndg_kontrahenci`
--
ALTER TABLE `ndg_kontrahenci`
  ADD PRIMARY KEY (`id`);

--
-- Indeksy dla tabeli `ndg_koszty`
--
ALTER TABLE `ndg_koszty`
  ADD PRIMARY KEY (`id`);

--
-- Indeksy dla tabeli `ndg_limit`
--
ALTER TABLE `ndg_limit`
  ADD PRIMARY KEY (`rok`);

--
-- Indeksy dla tabeli `ndg_magazyn`
--
ALTER TABLE `ndg_magazyn`
  ADD PRIMARY KEY (`id`);

--
-- Indeksy dla tabeli `ndg_pl_forma`
--
ALTER TABLE `ndg_pl_forma`
  ADD PRIMARY KEY (`symbol`);

--
-- Indeksy dla tabeli `ndg_sprzedaz`
--
ALTER TABLE `ndg_sprzedaz`
  ADD PRIMARY KEY (`id`);

--
-- Indeksy dla tabeli `ndg_sprzedaz_poz`
--
ALTER TABLE `ndg_sprzedaz_poz`
  ADD KEY `id` (`id`);

--
-- Indeksy dla tabeli `ndg_vat`
--
ALTER TABLE `ndg_vat`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `ndg_kontrahenci`
--
ALTER TABLE `ndg_kontrahenci`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ndg_koszty`
--
ALTER TABLE `ndg_koszty`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ndg_magazyn`
--
ALTER TABLE `ndg_magazyn`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ndg_pl_forma`
--
ALTER TABLE `ndg_pl_forma`
  MODIFY `symbol` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `ndg_sprzedaz`
--
ALTER TABLE `ndg_sprzedaz`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `ndg_vat`
--
ALTER TABLE `ndg_vat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
